package cn.superdesk.uniorder.dao.mapper.organisation;

import cn.superdesk.uniorder.dao.entity.organisation.SysSupplierExtInvoice;
import cn.superdesk.uniorder.dao.entity.organisation.SysSupplierExtInvoiceExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysSupplierExtInvoiceMapper {
    long countByExample(SysSupplierExtInvoiceExample example);

    int deleteByExample(SysSupplierExtInvoiceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysSupplierExtInvoice record);

    int insertSelective(SysSupplierExtInvoice record);

    List<SysSupplierExtInvoice> selectByExample(SysSupplierExtInvoiceExample example);

    SysSupplierExtInvoice selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysSupplierExtInvoice record, @Param("example") SysSupplierExtInvoiceExample example);

    int updateByExample(@Param("record") SysSupplierExtInvoice record, @Param("example") SysSupplierExtInvoiceExample example);

    int updateByPrimaryKeySelective(SysSupplierExtInvoice record);

    int updateByPrimaryKey(SysSupplierExtInvoice record);
}